Summary: Terminal emulator for MATE
Name: mate-terminal
Version: 1.4.0
Release: 4%{?dist}
License: GPLv3+
Group: User Interface/Desktops
URL: http://mate-desktop.org
Source0: http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz


# mateconftool-2
Requires(pre):   mate-conf
Requires(post):  mate-conf
Requires(preun): mate-conf

BuildRequires: glib2-devel
BuildRequires: gtk2-devel
BuildRequires: mate-conf-devel
BuildRequires: libglade2-devel
BuildRequires: libmateui-devel
BuildRequires: vte-devel
BuildRequires: desktop-file-utils
BuildRequires: rarian-compat
BuildRequires: mate-doc-utils
BuildRequires: mate-common
BuildRequires: libSM-devel

Requires: libmate

%description
Mate-terminal is a terminal emulator for MATE. It supports translucent
backgrounds, opening multiple terminals in a single window (tabs) and
clickable URLs.

%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh

%build
%configure --with-gtk=2.0 \
           --disable-scrollkeeper \
           --disable-schemas-install

make %{?_smp_mflags}


%install
export MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

sed -i -e "s/Icon=mate-terminal.png/Icon=mate-terminal/" \
  $RPM_BUILD_ROOT%{_datadir}/applications/mate-terminal.desktop

desktop-file-install --vendor "" --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications    \
  --remove-category=MATE                           \
  --add-category=X-Mate                            \
  --add-category=System                            \
  $RPM_BUILD_ROOT%{_datadir}/applications/mate-terminal.desktop

%find_lang mate-terminal

%post
%mateconf_schema_upgrade mate-terminal

%pre
%mateconf_schema_prepare mate-terminal

%preun
%mateconf_schema_remove mate-terminal


%files -f mate-terminal.lang
%doc AUTHORS COPYING NEWS README
%{_bindir}/mate-terminal
%{_datadir}/mate-terminal/
%{_datadir}/mate/help/mate-terminal/
%{_datadir}/omf/mate-terminal/
%{_datadir}/applications/mate-terminal.desktop
%{_sysconfdir}/mateconf/schemas/mate-terminal.schemas

%changelog
* Wed Oct 24 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-4
- Add requires libmate

* Mon Oct 15 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-3
- add build requires rarian-compat

* Mon Oct 15 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-2
- remove surplus build requires

* Sun Oct 14 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-1
- initial build


